#ifndef MIMODELO_H
#define MIMODELO_H

#include"RTGSimulation.h"

class MiModelo : public BaseModel
{
	double g;
	double L;
	double beta;
	double m;
  public:
  	MiModelo(void);
  	virtual Vector Evaluate(const Vector &state,double t) const;
  	
};

class MiAnimacion : public RTGSimulation
{
    Glib::RefPtr<Gdk::GC> gc;
	Gdk::Color blue,green;
	double theta;
	double t;
  protected:
    virtual void InitDrawing(void);
	virtual void Draw(void);
	virtual void Output(void);
};

RTGSimulation* CrearAnimacion(void);

#endif
