#ifndef RTGSIMULATION_H
#define RTGSIMULATION_H

#include<gtkmm.h>
#include"Timer.h"
#include"ModelSimulation.h"

class RTGSimulation : public Gtk::DrawingArea, public Timer
{
	ModelSimulation *modelsim;
	bool update;
  public:
  	RTGSimulation(void);
  	virtual ~RTGSimulation(void);
    virtual void Configure(Model *m,double delta_t);
    void Start(void);
  protected:
	virtual void on_realize();
	virtual bool on_expose_event(GdkEventExpose* e);
	virtual void InitDrawing(void)=0;
	virtual void Draw(void)=0;
	virtual void Output(void)=0;
	const ModelSimulation* Simulation(void) const;
  private:
    void Execute(void);
};

#endif
